<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="form-box">
                        <div class="switch-top">
                            <span>Multiple Days</span>
                            <mat-slide-toggle (change)="sliderOption($event)" [checked]="checked">
                            </mat-slide-toggle>
                            <span>Date Range</span>
                        </div>
                        <div class="calndr-cont" *ngIf="checked">
                            <div class="calendar-box">
                                <input type="text" placeholder="Select Start Date and End Date" class="form-control"
                                    [formControl]="dateRangeControl" bsDaterangepicker>

                                <!-- Error Messages -->
                                <span class="t-red" *ngFor="let validation of errors.dateRangeControl">
                                    <span
                                        *ngIf="dateRangeControl.hasError(validation.type) && (dateRangeControl.dirty || dateRangeControl.touched)">
                                        {{validation.message}}
                                    </span>
                                </span>
                            </div>
                        </div>

                        <form [formGroup]="daysOffForm">
                            <div class="calndr-cont" *ngIf="!checked">
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-4"><label>Start Date</label></div>
                                        <div class="col-8">
                                            <input type="text" class="form-control date-select" placeholder="Start Date"
                                                formControlName="startDate" bsDatepicker readonly
                                                [bsConfig]="{ dateInputFormat: 'YYYY-MM-DD'}" [maxDate]="endMaxDate">

                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.startDate">
                                                <span
                                                    *ngIf="daysOffForm.get('startDate').hasError(validation.type) && (daysOffForm.get('startDate').dirty || daysOffForm.get('startDate').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-4"><label>End Date</label></div>
                                        <div class="col-8">
                                            <input type="text" class="form-control date-select" placeholder="End Date"
                                                formControlName="endDate" bsDatepicker (click)="selectEndDate()"
                                                [isDisabled]="!isStartDateSelected" readonly
                                                [bsConfig]="{ dateInputFormat: 'YYYY-MM-DD'}" [maxDate]="endMaxDate"
                                                [minDate]="endMinDate">

                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.endDate">
                                                <span
                                                    *ngIf="daysOffForm.get('endDate').hasError(validation.type) && (daysOffForm.get('endDate').dirty || daysOffForm.get('endDate').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>

                        <div class="avl-result" *ngIf="daysOffList.length">
                            <h4 class="text-center">Select Dates</h4>
                            <ul>
                                <li *ngFor="let days of daysOffList; let i = index;">
                                    <p> {{days.startDate| date }} - {{days.endDate | date}} </p>
                                    <a href="javascript:void(0)" (click)="deleteDaysOff(i)"> <i
                                            class="far fa-times-circle"></i> </a>
                                </li>
                            </ul>
                        </div>

                        <div class="form-group text-center">
                            <input [disabled]='!daysOffForm.valid' type="submit" (click)="saveDaysOff()" value="Submit" class="btn">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>